%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Business-ISBN-Data
Version:       20230426.001
Release:       1mamba
Summary:       Business::ISBN::Data - The data pack for Business::ISBN
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        http://www.cpan.org/authors/id/B/BD/BDFOY/Business-ISBN-Data-%{version}.tar.gz
License:       Artistic License
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
The %{name} package is the data pack for Business::ISBN.

%prep
%setup -q -n Business-ISBN-Data-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Apr 27 2023 Automatic Build System <autodist@mambasoft.it> 20230426.001-1mamba
- automatic version update by autodist

* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 20230410.001-1mamba
- automatic version update by autodist

* Mon Apr 03 2023 Automatic Build System <autodist@mambasoft.it> 20230331.001-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 20230322.001-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 20230316.001-1mamba
- automatic version update by autodist

* Tue Jan 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 20210112.006-2mamba
- updated maintainer

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 20210112.006-1mamba
- automatic version update by autodist

* Mon Apr 10 2017 Automatic Build System <autodist@mambasoft.it> 20140910.003-1mamba
- automatic update by autodist

* Fri Nov 02 2012 Automatic Build System <autodist@mambasoft.it> 20120719.001-1mamba
- automatic version update by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20081208-1mamba
- update to 20081208

* Mon Nov 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.17-2mamba
- automatic rebuild by autodist

* Fri May 30 2008 gil <puntogil@libero.it> 1.17-1mamba
- update to 1.17 by autospec

* Tue Feb 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.09-1qilnx
- package created by autospec
